Skip to main content
`Ctrl`+`K`

# SVDTRLanczosSetKSP

Associate a linear solver object (`KSP`) to the SVD solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetKSP(SVD svd,KSP ksp)

Collective

## Input Parameters

- svd - the singular value solver context

- ksp - the linear solver object

## Note

Only used for the GSVD problem.

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosGetKSP()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosSetKSP_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages